unit VaxLineList;

Interface

uses
    System.SysUtils, System.Classes,
    VaxLine, VaxHashText;

type TVaxLineList = class

var

  private
  m_objDataList: TVaxHashText;

  public
  constructor Create();

  procedure AddLine(sLineName: string);
  function GetLine(sLineName: string): TVaxLine;

  procedure RemoveLine(sLineName: string);
  procedure ClearAll();

end;

implementation

  constructor TVaxLineList.Create();
  begin
    m_objDataList := TVaxHashText.Create();
  end;

  procedure TVaxLineList.AddLine(sLineName: string);
  var
    objLine: TVaxLine;
  begin
    objLine := TVaxLine.Create(sLineName);
    m_objDataList.AddData(sLineName, objLine);
  end;

  function TVaxLineList.GetLine(sLineName: string): TVaxLine;
  begin
    Result := TVaxLine(m_objDataList.FindData(sLineName));
  end;

  procedure TVaxLineList.RemoveLine(sLineName: string);
  begin
    m_objDataList.RemoveData(sLineName);
  end;

  procedure TVaxLineList.ClearAll();
  begin
    m_objDataList.ClearAll();
  end;

end.

