unit VaxSettingDefault;

Interface

Uses

  System.Classes, System.SysUtils, System.Variants,
  StoreUser, StoreLine, StoreCOMM, StoreRoom;

type TVaxSettingDefault = class

  public
  constructor Create();

  class function LoadUserDefault(): Boolean; static;
  class function LoadLineDefault(): Boolean; static;
  class function LoadRoomDefault(): Boolean; static;

end;

implementation

uses VaxUser, VaxLine, VaxRoom,
     VaxDefine, VaxServerCOM, VaxServerSIP;

  //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  constructor TVaxSettingDefault.Create();
  begin
  end;

  //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  class function TVaxSettingDefault.LoadUserDefault(): Boolean;
  var
    sAuthLogin, sAuthPwd: string;
    nCount: Integer;
  begin

    if (TStoreUser.IsDataStored() = True) then
      Exit(False);

    for nCount := 4000 to 4050 do
    begin
      sAuthLogin := IntToStr(nCount);
      sAuthPwd := sAuthLogin;
      TVaxUser.AddUser(sAuthLogin, sAuthPwd, '32014', False, TVaxServerCOM.VAX_AUDIO_TYPE_NORMAL, '', '', '')
    end;

    for nCount := 6000 to 6020 do
    begin
      sAuthLogin := IntToStr(nCount);
      sAuthPwd := sAuthLogin;
      TVaxUser.AddUser(sAuthLogin, sAuthPwd, '32014', False, TVaxServerCOM.VAX_AUDIO_TYPE_USER, '', '', '')
    end;

    for nCount := 8000 to 8020 do
    begin
      sAuthLogin := IntToStr(nCount);
      sAuthPwd := sAuthLogin;
      TVaxUser.AddUser(sAuthLogin, sAuthPwd, '32014', False, TVaxServerCOM.VAX_AUDIO_TYPE_ADMIN, '', '', '')
    end;

    Result := True;

  end;

  //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  class function TVaxSettingDefault.LoadLineDefault(): Boolean;
  begin

    if (TStoreLine.IsDataStored() = True) then
      Exit(False);

    TVaxLine.AddLine('LineServiceProviderTech', TVaxServerCOM.VAX_LINE_TYPE_UDP, '9090', '9090', '192.168.0.119', 5060, '32', False, '', False, '');
    TVaxLine.AddLine('LineServiceProviderDesign', TVaxServerCOM.VAX_LINE_TYPE_UDP, '9092', '9092', '192.168.0.119', 5060, '32', False, '', False, '');

    Result := True;

  end;

   //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  class function TVaxSettingDefault.LoadRoomDefault(): Boolean;
  begin

    if (TStoreRoom.IsDataStored() = True) then
      Exit(False);

    TVaxRoom.AddRoom('RoomTech', '20021');
    TVaxRoom.AddRoom('RoomDesign', '20022');

    Result := True;
  end;

end.
