﻿unit StoreCOMM;

Interface

uses

  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Classes,
  StoreRegistry, VaxServerCOM, VaxDefine;

type TStoreCOMM = class

  private
  const COMM_ROOT_PATH = 'COMM\\';

  public
  class function SetListenPortSIP(nListenPort: Integer): Boolean; static;
  class procedure GetListenPortSIP(var nListenPort: Integer); static;

  class procedure SetMusicFiles(sMusicHold: String; sMusicDialTone: String; sMusicCallPark: String); static;
  class procedure GetMusicFiles(var sMusicHold: String; var sMusicDialTone: String; var sMusicCallPark: String); static;

  class function IsDataStored(): Boolean; static;

end;


implementation

  //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  class function TStoreCOMM.SetListenPortSIP(nListenPort: Integer): Boolean;
  var
    sKeyPath: String;
    objStore: TStoreRegistry;
  begin

    sKeyPath := COMM_ROOT_PATH;
    objStore := TStoreRegistry.Create();

    objStore.SetINT(sKeyPath, 'ListenPortSIP', nListenPort);
    objStore.Destroy();

    Result := True;

  end;

  class procedure TStoreCOMM.GetListenPortSIP(var nListenPort: Integer);
  var
    sKeyPath: String;
    objStore: TStoreRegistry;
  begin
    sKeyPath := COMM_ROOT_PATH;
    objStore := TStoreRegistry.Create();

    objStore.GetINT(sKeyPath, 'ListenPortSIP', nListenPort, TVaxServerCOM.SIP_DEFAULT_PORT);
    objStore.Destroy();
  end;

  //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  class procedure TStoreCOMM.SetMusicFiles(sMusicHold: String; sMusicDialTone: String; sMusicCallPark: String);
  var
    sKeyPath: String;
    objStore: TStoreRegistry;
  begin

    sKeyPath := COMM_ROOT_PATH;
    objStore := TStoreRegistry.Create();

    objStore.SetTEXT(sKeyPath, 'MusicHold', sMusicHold);
    objStore.SetTEXT(sKeyPath, 'MusicDialTone', sMusicDialTone);
    objStore.SetTEXT(sKeyPath, 'MusicCallParking', sMusicCallPark);
    objStore.Destroy();

  end;

  class procedure TStoreCOMM.GetMusicFiles(var sMusicHold: String; var sMusicDialTone: String; var sMusicCallPark: String);
  var
    sKeyPath: String;
    objStore: TStoreRegistry;
  begin

    sKeyPath := COMM_ROOT_PATH;
    objStore := TStoreRegistry.Create();

    objStore.GetTEXT(sKeyPath, 'MusicHold', sMusicHold, TVaxDefine.MUSIC_FILE_HOLD);
    objStore.GetTEXT(sKeyPath, 'MusicDialTone', sMusicDialTone, TVaxDefine.MUSIC_FILE_DIAL_TONE);
    objStore.GetTEXT(sKeyPath, 'MusicCallParking', sMusicCallPark, TVaxDefine.MUSIC_FILE_CALL_PARKING);
    objStore.Destroy();

  end;

  //////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////

  class function TStoreCOMM.IsDataStored(): Boolean;
  var
     objStore: TStoreRegistry;
  begin
    objStore := TStoreRegistry.Create();
    Result := objStore.IsKeyExist(COMM_ROOT_PATH);
    objStore.Destroy();
  end;


end.
